Fibre Channel (SAN)

Reply
New Contributor
Posts: 4
Registered: ‎08-08-2008

Mixing 5100 with 4100/3900 - SCSI transport failed error.

We have experienced a strange issue, when we mixed new 5100 with existing fabric that contains 4100 and 3900 switches. The new switches joined the fabric with no issues and synced up with fabric configurations. But we started seeing SCSI error on hosts connected to the fabric.

Here is the error message on Solaris 10 servers,

Feb 11 18:36:04 <host> scsi: WARNING: /pci@0/pci@0/pci@9/QLGC,qlc@0/sd@2b,50 (sd1294):
Feb 11 18:36:04 <host>      SCSI transport failed: reason 'aborted': retrying command

3900 and 4100 are running FOS 5.1.1 and 5100 got 6.2.2 installed.

Did anyone of you encounter this issue before? As per the hardware release note of 5100, it is compatible with 3900 and 4100 models.Any workaround to fix this or can't we add 5100 with 3900 at all? Any help would be greatly appreciated.

Thanks.

Super Contributor
Posts: 260
Registered: ‎04-09-2008

Re: Mixing 5100 with 4100/3900 - SCSI transport failed error.

Venkat

To me it seems like there is a flapping ISL in your setup or lack of buffer credits due to change in localization. For example if you had

Server -> 4100 -> Storage - now u might be having

Server-> 4100 - 5100 -> Storage

Check fabriclog -s for any flapping ports, the ones with online and offline sequence. Once you identify these ports, run the portshow command on these to check if they are the cause for the problem.

The QOS (FOS 6.2.2) on the ports might be making this worse.

External Moderator
Posts: 4,907
Registered: ‎02-23-2004

Re: Mixing 5100 with 4100/3900 - SCSI transport failed error.

--->>>  3900 and 4100 are running FOS 5.1.1 and 5100 got 6.2.2 installed.

A Minimum of Fabric OS 5.3.1b is requierd to interoperate with Fabric OS 6.2.2

If you are satisfied with the responses please mark as 'Answered'.

If not, just let me know I can see to get more info.

I would appreciated if you rate the threads.



TechHelp24
New Contributor
Posts: 4
Registered: ‎08-08-2008

Re: Mixing 5100 with 4100/3900 - SCSI transport failed error.

Thats the correct answer we received from Brocade support as well. We need to upgrade to minimum 5.3.1b for 3900 switches to interoperate with 5100 with 6.2.2. We removed 5100 out of fabric and added 3900 switches for time being.

Thanks for the update.

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.